
Redmine - Defect #13032

Git: Fetch changelogs throws errors -> no rev. and changesets in activities

2013-01-30 10:09 - Tobias Joch

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.2

Description

Hi,

after upgrading a redmine installation from 1.2.2 to 2.2.2 (security related) everything is fine with the exception of the git integration.

The repository view shows new files and the correct ages, but no author and revision. Also there are no new changesets in the

project activities.

Here are some infos about the installation:

Environment:

  Redmine version                          2.2.2.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.11

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_backlogs                         v0.9.35

 Here is the console output from the fetch_changesets call:

$:/opt/redmine# ruby script/rails runner "Repository.fetch_changesets" -e production

(eval):108: warning: multiple values for a block parameter (0 for 1)

    from /usr/local/rvm/gems/ree-1.8.7-2011.03/gems/actionpack-3.2.11/lib/action_dispatch/routing/

mapper.rb:992

fatal: unrecognized argument: --stdin

fatal: unrecognized argument: --stdin

fatal: unrecognized argument: --stdin

fatal: unrecognized argument: --stdin

fatal: unrecognized argument: --stdin

fatal: unrecognized argument: --stdin

fatal: unrecognized argument: --stdin

 And here the corresponding output from the production logfile:

Connecting to database specified by database.yml

OpenIdAuthentication.store is nil. Using in-memory store.

DEPRECATION WARNING: Calling set_table_name is deprecated. Please use `self.table_name = 'the_name

'` instead. (called from /opt/redmine/plugins/redmine_backlogs/app/models/rb_issue_history.rb:4)

DEPRECATION WARNING: Calling set_table_name is deprecated. Please use `self.table_name = 'the_name

'` instead. (called from /opt/redmine/plugins/redmine_backlogs/app/models/rb_sprint_burndown.rb:5)

git log error: git exited with non-zero status: 128

git log error: git exited with non-zero status: 128

git log error: git exited with non-zero status: 128

git log error: git exited with non-zero status: 128

git log error: git exited with non-zero status: 128

git log error: git exited with non-zero status: 128

 Any ideas?

Best regards!
History

#1 - 2013-02-07 01:25 - Toshi MARUYAMA

fatal: unrecognized argument: --stdin

 What version is your git?

#2 - 2013-02-07 01:26 - Toshi MARUYAMA

- Subject changed from Fetch changelogs throws errors -> no rev. and changesets in activities to Git: Fetch changelogs throws errors -> no rev. and

changesets in activities

#3 - 2013-02-07 09:24 - Tobias Joch

Toshi MARUYAMA wrote:

fatal: unrecognized argument: --stdin

 What version is your git?

 git version 1.5.6.5

thx!

#4 - 2013-02-07 09:28 - Toshi MARUYAMA

Tobias Joch wrote:

git version 1.5.6.5

 Redmine uses "git log --stdin".

source:tags/2.2.2/lib/redmine/scm/adapters/git_adapter.rb#L200

Please upgrade git to recent version.

#5 - 2013-02-07 11:26 - Daniel Felix

- Status changed from New to Needs feedback

@ Tobias

Is this resolved for you?

Can you confirm, that Redmine works as expected after upgrade?

#6 - 2013-02-08 21:11 - Tobias Joch

Daniel Felix wrote:

@ Tobias

Is this resolved for you?

Can you confirm, that Redmine works as expected after upgrade?

 After upgrading git to version 1.7.2 everything is fine. I think the wiki page http://www.redmine.org/projects/redmine/wiki/RedmineRepositories should

be updated, right?

Thx for your support!

#7 - 2013-02-25 09:05 - Gabriel Mazetto

#6566 may help solve this type of problem in the future
